/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.datei.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.datei.entity.CsvDateiConstants;
import de.ivu.elect.business.datei.entity.DateiConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(CsvDateiMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class CsvDateiMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "csvDateiMeta";

  @Inject
  private transient Messages messages;

  public CsvDateiMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getAnfuehrungszeichenEinzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_ANFUEHRUNGSZEICHEN_EINZAHL;
  }

  public String getAnfuehrungszeichenMehrzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_ANFUEHRUNGSZEICHEN_MEHRZAHL;
  }


  public String getAnfuehrungszeichenEinzahlMessage(){
    return getMessage(getAnfuehrungszeichenEinzahlMessageKey());
  }

  public String getAnfuehrungszeichenMehrzahlMessage(){
    return getMessage(getAnfuehrungszeichenMehrzahlMessageKey());
  }



  public boolean isAnfuehrungszeichenRequired() {
    return !CsvDateiConstants.ANFUEHRUNGSZEICHEN_NULLABLE;
  }

  public de.ivu.elect.business.datei.entity.CsvAnfuehrungszeichen getAnfuehrungszeichenDefaultValue() {
    return CsvDateiConstants.ANFUEHRUNGSZEICHEN_DEFAULT_VALUE;
  }


  public String getAnzahlKopfzeilenEinzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_ANZAHL_KOPFZEILEN_EINZAHL;
  }

  public String getAnzahlKopfzeilenMehrzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_ANZAHL_KOPFZEILEN_MEHRZAHL;
  }


  public String getAnzahlKopfzeilenEinzahlMessage(){
    return getMessage(getAnzahlKopfzeilenEinzahlMessageKey());
  }

  public String getAnzahlKopfzeilenMehrzahlMessage(){
    return getMessage(getAnzahlKopfzeilenMehrzahlMessageKey());
  }



  public boolean isAnzahlKopfzeilenRequired() {
    return !CsvDateiConstants.ANZAHL_KOPFZEILEN_NULLABLE;
  }

  public java.lang.Long getAnzahlKopfzeilenDefaultValue() {
    return CsvDateiConstants.ANZAHL_KOPFZEILEN_DEFAULT_VALUE;
  }

  public int getAnzahlKopfzeilenMaxLength() {
    return CsvDateiConstants.ANZAHL_KOPFZEILEN_MAX_LENGTH;
  }

  public long getAnzahlKopfzeilenMinValue() {
    return CsvDateiConstants.ANZAHL_KOPFZEILEN_MIN_VALUE;
  }

  public long getAnzahlKopfzeilenMaxValue() {
    return CsvDateiConstants.ANZAHL_KOPFZEILEN_MAX_VALUE;
  }

  public String getTrennzeichenEinzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_TRENNZEICHEN_EINZAHL;
  }

  public String getTrennzeichenMehrzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_TRENNZEICHEN_MEHRZAHL;
  }


  public String getTrennzeichenEinzahlMessage(){
    return getMessage(getTrennzeichenEinzahlMessageKey());
  }

  public String getTrennzeichenMehrzahlMessage(){
    return getMessage(getTrennzeichenMehrzahlMessageKey());
  }



  public boolean isTrennzeichenRequired() {
    return !CsvDateiConstants.TRENNZEICHEN_NULLABLE;
  }

  public de.ivu.elect.business.datei.entity.CsvTrennzeichen getTrennzeichenDefaultValue() {
    return CsvDateiConstants.TRENNZEICHEN_DEFAULT_VALUE;
  }


  public String getZeichensatzEinzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_ZEICHENSATZ_EINZAHL;
  }

  public String getZeichensatzMehrzahlMessageKey(){
    return CsvDateiConstants.MESSAGE_KEY_ZEICHENSATZ_MEHRZAHL;
  }


  public String getZeichensatzEinzahlMessage(){
    return getMessage(getZeichensatzEinzahlMessageKey());
  }

  public String getZeichensatzMehrzahlMessage(){
    return getMessage(getZeichensatzMehrzahlMessageKey());
  }



  public boolean isZeichensatzRequired() {
    return !CsvDateiConstants.ZEICHENSATZ_NULLABLE;
  }

  public de.ivu.elect.business.datei.entity.CsvZeichensatz getZeichensatzDefaultValue() {
    return CsvDateiConstants.ZEICHENSATZ_DEFAULT_VALUE;
  }


  public String getDateinameEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_DATEINAME_EINZAHL;
  }

  public String getDateinameMehrzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_DATEINAME_MEHRZAHL;
  }


  public String getDateinameEinzahlMessage(){
    return getMessage(getDateinameEinzahlMessageKey());
  }

  public String getDateinameMehrzahlMessage(){
    return getMessage(getDateinameMehrzahlMessageKey());
  }



  public boolean isDateinameRequired() {
    return !DateiConstants.DATEINAME_NULLABLE;
  }

  public java.lang.String getDateinameDefaultValue() {
    return DateiConstants.DATEINAME_DEFAULT_VALUE;
  }

  public int getDateinameMaxLength() {
    return DateiConstants.DATEINAME_MAX_LENGTH;
  }

  public String getDiscriminatorEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_DISCRIMINATOR_EINZAHL;
  }

  public String getDiscriminatorMehrzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_DISCRIMINATOR_MEHRZAHL;
  }


  public String getDiscriminatorEinzahlMessage(){
    return getMessage(getDiscriminatorEinzahlMessageKey());
  }

  public String getDiscriminatorMehrzahlMessage(){
    return getMessage(getDiscriminatorMehrzahlMessageKey());
  }



  public boolean isDiscriminatorRequired() {
    return !DateiConstants.DISCRIMINATOR_NULLABLE;
  }

  public java.lang.String getDiscriminatorDefaultValue() {
    return DateiConstants.DISCRIMINATOR_DEFAULT_VALUE;
  }

  public int getDiscriminatorMaxLength() {
    return DateiConstants.DISCRIMINATOR_MAX_LENGTH;
  }

  public String getErstellungszeitpunktEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_ERSTELLUNGSZEITPUNKT_EINZAHL;
  }

  public String getErstellungszeitpunktMehrzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_ERSTELLUNGSZEITPUNKT_MEHRZAHL;
  }


  public String getErstellungszeitpunktEinzahlMessage(){
    return getMessage(getErstellungszeitpunktEinzahlMessageKey());
  }

  public String getErstellungszeitpunktMehrzahlMessage(){
    return getMessage(getErstellungszeitpunktMehrzahlMessageKey());
  }



  public boolean isErstellungszeitpunktRequired() {
    return !DateiConstants.ERSTELLUNGSZEITPUNKT_NULLABLE;
  }

  public java.util.Date getErstellungszeitpunktDefaultValue() {
    return DateiConstants.ERSTELLUNGSZEITPUNKT_DEFAULT_VALUE;
  }


  public String getFileTypeEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_FILE_TYPE_EINZAHL;
  }

  public String getFileTypeMehrzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_FILE_TYPE_MEHRZAHL;
  }


  public String getFileTypeEinzahlMessage(){
    return getMessage(getFileTypeEinzahlMessageKey());
  }

  public String getFileTypeMehrzahlMessage(){
    return getMessage(getFileTypeMehrzahlMessageKey());
  }



  public boolean isFileTypeRequired() {
    return !DateiConstants.FILE_TYPE_NULLABLE;
  }

  public de.ivu.elect.business.datei.entity.FileType getFileTypeDefaultValue() {
    return DateiConstants.FILE_TYPE_DEFAULT_VALUE;
  }


  public String getFormatEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_FORMAT_EINZAHL;
  }

  public String getFormatMehrzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_FORMAT_MEHRZAHL;
  }


  public String getFormatEinzahlMessage(){
    return getMessage(getFormatEinzahlMessageKey());
  }

  public String getFormatMehrzahlMessage(){
    return getMessage(getFormatMehrzahlMessageKey());
  }



  public boolean isFormatRequired() {
    return !DateiConstants.FORMAT_NULLABLE;
  }

  public java.lang.String getFormatDefaultValue() {
    return DateiConstants.FORMAT_DEFAULT_VALUE;
  }

  public int getFormatMaxLength() {
    return DateiConstants.FORMAT_MAX_LENGTH;
  }

  public String getMimeTypeEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_MIME_TYPE_EINZAHL;
  }

  public String getMimeTypeMehrzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_MIME_TYPE_MEHRZAHL;
  }


  public String getMimeTypeEinzahlMessage(){
    return getMessage(getMimeTypeEinzahlMessageKey());
  }

  public String getMimeTypeMehrzahlMessage(){
    return getMessage(getMimeTypeMehrzahlMessageKey());
  }



  public boolean isMimeTypeRequired() {
    return !DateiConstants.MIME_TYPE_NULLABLE;
  }

  public java.lang.String getMimeTypeDefaultValue() {
    return DateiConstants.MIME_TYPE_DEFAULT_VALUE;
  }

  public int getMimeTypeMaxLength() {
    return DateiConstants.MIME_TYPE_MAX_LENGTH;
  }

  public String getOriginalDateinameEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_ORIGINAL_DATEINAME_EINZAHL;
  }

  public String getOriginalDateinameMehrzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_ORIGINAL_DATEINAME_MEHRZAHL;
  }


  public String getOriginalDateinameEinzahlMessage(){
    return getMessage(getOriginalDateinameEinzahlMessageKey());
  }

  public String getOriginalDateinameMehrzahlMessage(){
    return getMessage(getOriginalDateinameMehrzahlMessageKey());
  }



  public boolean isOriginalDateinameRequired() {
    return !DateiConstants.ORIGINAL_DATEINAME_NULLABLE;
  }

  public java.lang.String getOriginalDateinameDefaultValue() {
    return DateiConstants.ORIGINAL_DATEINAME_DEFAULT_VALUE;
  }

  public int getOriginalDateinameMaxLength() {
    return DateiConstants.ORIGINAL_DATEINAME_MAX_LENGTH;
  }

  public String getPfadEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_PFAD_EINZAHL;
  }

  public String getPfadMehrzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_PFAD_MEHRZAHL;
  }


  public String getPfadEinzahlMessage(){
    return getMessage(getPfadEinzahlMessageKey());
  }

  public String getPfadMehrzahlMessage(){
    return getMessage(getPfadMehrzahlMessageKey());
  }



  public boolean isPfadRequired() {
    return !DateiConstants.PFAD_NULLABLE;
  }

  public java.lang.String getPfadDefaultValue() {
    return DateiConstants.PFAD_DEFAULT_VALUE;
  }

  public int getPfadMaxLength() {
    return DateiConstants.PFAD_MAX_LENGTH;
  }


  public String getMandantEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_MANDANT_ID_EINZAHL;
  }

  public String getMandantEinzahlMessage(){
    return getMessage(getMandantEinzahlMessageKey());
  }

  public boolean isMandantRequired() {
    return !DateiConstants.MANDANT_ID_NULLABLE;
  }


  public String getWahlterminEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_WAHLTERMIN_ID_EINZAHL;
  }

  public String getWahlterminEinzahlMessage(){
    return getMessage(getWahlterminEinzahlMessageKey());
  }

  public boolean isWahlterminRequired() {
    return !DateiConstants.WAHLTERMIN_ID_NULLABLE;
  }


  public String getWahlEinzahlMessageKey(){
    return DateiConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !DateiConstants.WAHL_ID_NULLABLE;
  }

}